﻿using Autofac;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DALI.Utils
{
    /// <summary>
    /// Container for Autofac for Dali engine
    /// </summary>
    public class ContainerSingleton
    {
        public static IContainer Container { get; private set; }
        public static ILifetimeScope Scope { get; private set; }

        public ContainerSingleton(IContainer container)
        {
            Container = container;
            Scope = container.BeginLifetimeScope();
        }
    }
}
